# $Revision: 1.127.2.2 $, $Date: 2011/04/29 09:47:15 $
#
# Conditional build:
%bcond_with	tests		# enable tests (whatever they check)
%bcond_without	gnomeui		# disable gnomeui support
%bcond_without	gnomevfs	# disable GNOME comp. (gconf+libgnome+gnomevfs) and gnomevfs ext.
%bcond_without	gnome		# disable all GNOME components (gnome+gnomeui+gnomevfs)
%bcond_without	kerberos	# disable krb5 support
%if "%{pld_release}" == "ti"
%bcond_with	xulrunner	# build with system xulrunner
%else
%bcond_without	xulrunner	# build with system xulrunner
%endif

%if %{without gnome}
%undefine	with_gnomeui
%undefine	with_gnomevfs
%endif

# convert firefox release number to platform version: 3.6.x -> 1.9.2.x
%define		xulrunner_main	1.9.2
%define		xulrunner_ver	%(v=%{version}; echo %{xulrunner_main}${v#3.6})

%if %{without xulrunner}
# The actual sqlite version (see RHBZ#480989):
%define		sqlite_build_version %(pkg-config --silence-errors --modversion sqlite3 2>/dev/null || echo ERROR)
%endif

Summary:	Iceweasel web browser
Summary(hu.UTF-8):	Iceweasel web böngésző
Summary(pl.UTF-8):	Iceweasel - przeglądarka WWW
Name:		iceweasel
Version:	3.6.17
Release:	1
License:	MPL 1.1 or GPL v2+ or LGPL v2.1+
Group:		X11/Applications/Networking
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{version}/source/firefox-%{version}.source.tar.bz2
# Source0-md5:	49509c51010bd91a198aee63780aeaf9
Source1:	%{name}-branding.tar.bz2
# Source1-md5:	b49feae9f6434eca8a749776160c15a8
Source2:	%{name}-rm_nonfree.sh
Source3:	%{name}.desktop
Source4:	%{name}.sh
Patch0:		%{name}-branding.patch
Patch1:		%{name}-install.patch
Patch2:		%{name}-gcc3.patch
Patch3:		%{name}-agent.patch
Patch4:		%{name}-ac-agent.patch
Patch5:		%{name}-ti-agent.patch
Patch6:		%{name}-nss_cflags.patch
Patch7:		%{name}-prefs.patch
Patch8:		%{name}-pld-branding.patch
Patch9:		%{name}-ppc.patch
Patch10:	%{name}-libpng.patch
URL:		http://www.pld-linux.org/Packages/Iceweasel
%{?with_gnomevfs:BuildRequires:	GConf2-devel >= 1.2.1}
BuildRequires:	alsa-lib-devel
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	cairo-devel >= 1.8.8
BuildRequires:	dbus-glib-devel >= 0.60
%{?with_gnomevfs:BuildRequires:	gnome-vfs2-devel >= 2.0}
BuildRequires:	gtk+2-devel >= 2:2.10
%{?with_kerberos:BuildRequires:	heimdal-devel >= 0.7.1}
BuildRequires:	hunspell-devel
BuildRequires:	libIDL-devel >= 0.8.0
BuildRequires:	libdnet-devel
%{?with_gnomevfs:BuildRequires:	libgnome-devel >= 2.0}
%{?with_gnomeui:BuildRequires:	libgnomeui-devel >= 2.2.0}
BuildRequires:	libiw-devel
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libnotify-devel >= 0.4
BuildRequires:	libpng(APNG)-devel >= 0.10
BuildRequires:	libpng-devel >= 1.2.17
BuildRequires:	libstdc++-devel
BuildRequires:	nspr-devel >= 1:4.8.6
BuildRequires:	nss-devel >= 1:3.12.8
BuildRequires:	pango-devel >= 1:1.14.0
BuildRequires:	perl-modules >= 5.004
BuildRequires:	pkgconfig
BuildRequires:	python-modules
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.453
BuildRequires:	sqlite3-devel >= 3.7.4
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel >= 2.1
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXp-devel
BuildRequires:	xorg-lib-libXt-devel
%if %{with xulrunner}
BuildRequires:	xulrunner-devel >= 2:%{xulrunner_ver}
%endif
BuildRequires:	zip
BuildRequires:	zlib-devel >= 1.2.3
Requires(post):	mktemp >= 1.5-18
%if %{with xulrunner}
%requires_eq_to	xulrunner xulrunner-devel
%else
Requires:	browser-plugins >= 2.0
Requires:	cairo >= 1.8.8
Requires:	dbus-glib >= 0.60
Requires:	gtk+2 >= 2:2.18
Requires:	libpng(APNG) >= 0.10
Requires:	myspell-common
Requires:	nspr >= 1:4.8.6
Requires:	nss >= 1:3.12.8
Requires:	pango >= 1:1.14.0
Requires:	sqlite3 >= %{sqlite_build_version}
Requires:	startup-notification >= 0.8
%endif
Provides:	wwwbrowser
Obsoletes:	mozilla-firebird
Obsoletes:	mozilla-firefox
Obsoletes:	mozilla-firefox-lang-en < 2.0.0.8-3
Obsoletes:	mozilla-firefox-libs
Conflicts:	iceweasel-lang-resources < %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		filterout_cpp		-D_FORTIFY_SOURCE=[0-9]+

# don't satisfy other packages
%define		_noautoprovfiles	%{_libdir}/%{name}
# and as we don't provide them, don't require either
%define		_noautoreq	libmozjs.so libxpcom.so libxul.so libjemalloc.so

%if "%{cc_version}" >= "3.4"
%define		specflags	-fno-strict-aliasing -fomit-frame-pointer -fno-tree-vrp -fno-stack-protector
%else
%define		specflags	-fno-strict-aliasing -fomit-frame-pointer
%endif

%description
Iceweasel is an open-source web browser, designed for standards
compliance, performance and portability.

%description -l hu.UTF-8
Iceweasel egy nyílt forrású webböngésző, hatékonyságra és
hordozhatóságra tervezve.

%description -l pl.UTF-8
Iceweasel jest przeglądarką WWW rozpowszechnianą zgodnie z ideami
ruchu otwartego oprogramowania oraz tworzoną z myślą o zgodności ze
standardami, wydajnością i przenośnością.

%prep
%setup -qc
mv -f mozilla-%{xulrunner_main} mozilla
%setup -q -T -D -a1
cd mozilla
/bin/sh %{SOURCE2}

%patch0 -p1
%patch1 -p1

%if "%{cc_version}" < "3.4"
%patch2 -p2
%endif

%if "%{pld_release}" == "th"
%patch3 -p1
%endif

%if "%{pld_release}" == "ac"
%patch4 -p1
%endif

%if "%{pld_release}" == "ti"
%patch5 -p1
%endif

%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p0

%build
cd mozilla
cp -f %{_datadir}/automake/config.* build/autoconf

cat << EOF > .mozconfig
. \$topsrcdir/browser/config/mozconfig

mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/obj-%{_target_cpu}

# Options for 'configure' (same as command-line options).
ac_add_options --prefix=%{_prefix}
ac_add_options --exec-prefix=%{_exec_prefix}
ac_add_options --bindir=%{_bindir}
ac_add_options --sbindir=%{_sbindir}
ac_add_options --sysconfdir=%{_sysconfdir}
ac_add_options --datadir=%{_datadir}
ac_add_options --includedir=%{_includedir}
ac_add_options --libdir=%{_libdir}
ac_add_options --libexecdir=%{_libexecdir}
ac_add_options --localstatedir=%{_localstatedir}
ac_add_options --sharedstatedir=%{_sharedstatedir}
ac_add_options --mandir=%{_mandir}
ac_add_options --infodir=%{_infodir}
%if %{?debug:1}0
ac_add_options --disable-optimize
ac_add_options --enable-debug
ac_add_options --enable-debug-modules
ac_add_options --enable-debugger-info-modules
ac_add_options --enable-crash-on-assert
%else
ac_add_options --disable-debug
ac_add_options --disable-debug-modules
ac_add_options --disable-logging
ac_add_options --enable-optimize="%{rpmcflags} -Os"
%endif
ac_add_options --disable-strip
ac_add_options --disable-strip-libs
%if %{with tests}
ac_add_options --enable-tests
%else
ac_add_options --disable-tests
%endif
%if %{with gnomeui}
ac_add_options --enable-gnomeui
%else
ac_add_options --disable-gnomeui
%endif
%if %{with gnomevfs}
ac_add_options --enable-gnomevfs
%else
ac_add_options --disable-gnomevfs
%endif
ac_add_options --disable-crashreporter
ac_add_options --disable-installer
ac_add_options --disable-javaxpcom
ac_add_options --disable-updater
ac_add_options --disable-xprint
ac_add_options --enable-canvas
ac_add_options --enable-libxul
ac_add_options --enable-pango
ac_add_options --enable-startup-notification
ac_add_options --enable-svg
ac_add_options --enable-system-cairo
ac_add_options --enable-system-hunspell
ac_add_options --enable-system-sqlite
ac_add_options --enable-xinerama
ac_add_options --with-distribution-id=org.pld-linux
ac_add_options --with-branding=iceweasel/branding
%if %{with xulrunner}
ac_add_options --with-libxul-sdk=$(pkg-config --variable=sdkdir libxul)
%endif
ac_add_options --with-pthreads
ac_add_options --with-system-bz2
ac_add_options --with-system-jpeg
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
ac_add_options --with-system-png
ac_add_options --with-system-zlib
ac_add_options --with-default-mozilla-five-home=%{_libdir}/%{name}
EOF

%{__make} -f client.mk build \
	STRIP="/bin/true" \
	CC="%{__cc}" \
	CXX="%{__cxx}"

%install
rm -rf $RPM_BUILD_ROOT
cd mozilla
install -d \
	$RPM_BUILD_ROOT{%{_bindir},%{_sbindir},%{_libdir}} \
	$RPM_BUILD_ROOT{%{_pixmapsdir},%{_desktopdir}} \
	$RPM_BUILD_ROOT%{_datadir}/%{name}

%browser_plugins_add_browser %{name} -p %{_libdir}/%{name}/plugins

%{__make} -C obj-%{_target_cpu}/browser/installer stage-package \
	DESTDIR=$RPM_BUILD_ROOT \
	MOZ_PKG_APPDIR=%{_libdir}/%{name} \
	PKG_SKIP_STRIP=1

install -d \
	$RPM_BUILD_ROOT%{_libdir}/%{name}/plugins

# move arch independant ones to datadir
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome $RPM_BUILD_ROOT%{_datadir}/%{name}/chrome
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/defaults $RPM_BUILD_ROOT%{_datadir}/%{name}/defaults
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/extensions $RPM_BUILD_ROOT%{_datadir}/%{name}/extensions
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/icons $RPM_BUILD_ROOT%{_datadir}/%{name}/icons
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/modules $RPM_BUILD_ROOT%{_datadir}/%{name}/modules
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/searchplugins $RPM_BUILD_ROOT%{_datadir}/%{name}/searchplugins
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/browserconfig.properties $RPM_BUILD_ROOT%{_datadir}/%{name}
%if %{without xulrunner}
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/greprefs $RPM_BUILD_ROOT%{_datadir}/%{name}/greprefs
mv $RPM_BUILD_ROOT%{_libdir}/%{name}/res $RPM_BUILD_ROOT%{_datadir}/%{name}/res
%endif

ln -s ../../share/%{name}/chrome $RPM_BUILD_ROOT%{_libdir}/%{name}/chrome
ln -s ../../share/%{name}/defaults $RPM_BUILD_ROOT%{_libdir}/%{name}/defaults
ln -s ../../share/%{name}/extensions $RPM_BUILD_ROOT%{_libdir}/%{name}/extensions
ln -s ../../share/%{name}/modules $RPM_BUILD_ROOT%{_libdir}/%{name}/modules
ln -s ../../share/%{name}/icons $RPM_BUILD_ROOT%{_libdir}/%{name}/icons
ln -s ../../share/%{name}/searchplugins $RPM_BUILD_ROOT%{_libdir}/%{name}/searchplugins
ln -s ../../share/%{name}/browserconfig.properties $RPM_BUILD_ROOT%{_libdir}/%{name}
%if %{without xulrunner}
ln -s ../../share/%{name}/greprefs $RPM_BUILD_ROOT%{_libdir}/%{name}/greprefs
ln -s ../../share/%{name}/res $RPM_BUILD_ROOT%{_libdir}/%{name}/res
%endif

%if %{without xulrunner}
%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/%{name}/dictionaries
ln -s %{_datadir}/myspell $RPM_BUILD_ROOT%{_libdir}/%{name}/dictionaries
%endif

sed 's,@LIBDIR@,%{_libdir},' %{SOURCE4} > $RPM_BUILD_ROOT%{_bindir}/iceweasel
chmod a+rx $RPM_BUILD_ROOT%{_bindir}/iceweasel
ln -s iceweasel $RPM_BUILD_ROOT%{_bindir}/firefox
ln -s iceweasel $RPM_BUILD_ROOT%{_bindir}/mozilla-firefox

cp -a iceweasel/branding/default64.png $RPM_BUILD_ROOT%{_pixmapsdir}/iceweasel.png
cp -a %{SOURCE3} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

# files created by regxpcom and iceweasel -register
touch $RPM_BUILD_ROOT%{_libdir}/%{name}/components/compreg.dat
touch $RPM_BUILD_ROOT%{_libdir}/%{name}/components/xpti.dat

%if %{with xulrunner}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/run-mozilla.sh
%endif
%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/LICENSE
%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/README.txt
%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/components/components.list

cat << 'EOF' > $RPM_BUILD_ROOT%{_sbindir}/%{name}-chrome+xpcom-generate
#!/bin/sh
umask 022
rm -f %{_libdir}/%{name}/components/{compreg,xpti}.dat

# it attempts to touch files in $HOME/.mozilla
# beware if you run this with sudo!!!
export HOME=$(mktemp -d)
# also TMPDIR could be pointing to sudo user's homedir
unset TMPDIR TMP || :

%{_libdir}/%{name}/iceweasel -register

rm -rf $HOME
EOF
chmod 755 $RPM_BUILD_ROOT%{_sbindir}/%{name}-chrome+xpcom-generate

%clean
rm -rf $RPM_BUILD_ROOT

%pretrans
if [ -d %{_libdir}/%{name}/dictionaries ] && [ ! -L %{_libdir}/%{name}/dictionaries ]; then
	mv -v %{_libdir}/%{name}/dictionaries{,.rpmsave}
fi
for d in chrome defaults extensions greprefs icons res searchplugins; do
	if [ -d %{_libdir}/%{name}/$d ] && [ ! -L %{_libdir}/%{name}/$d ]; then
		install -d %{_datadir}/%{name}
		mv %{_libdir}/%{name}/$d %{_datadir}/%{name}/$d
	fi
done
exit 0

%post
%{_sbindir}/%{name}-chrome+xpcom-generate
%update_browser_plugins

%postun
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/firefox
%attr(755,root,root) %{_bindir}/mozilla-firefox
%attr(755,root,root) %{_sbindir}/%{name}-chrome+xpcom-generate

# browser plugins v2
%{_browserpluginsconfdir}/browsers.d/%{name}.*
%config(noreplace) %verify(not md5 mtime size) %{_browserpluginsconfdir}/blacklist.d/%{name}.*.blacklist

%dir %{_libdir}/%{name}
%if %{without xulrunner}
%attr(755,root,root) %{_libdir}/%{name}/*.so
%endif
%{_libdir}/%{name}/blocklist.xml

%if %{with crashreporter}
%{_libdir}/%{name}/crashreporter
%{_libdir}/%{name}/crashreporter-override.ini
%{_libdir}/%{name}/crashreporter.ini
%{_libdir}/%{name}/Throbber-small.gif
%endif

# config?
%{_libdir}/%{name}/.autoreg
%{_libdir}/%{name}/application.ini

%dir %{_libdir}/%{name}/components

%{_libdir}/%{name}/components/FeedConverter.js
%{_libdir}/%{name}/components/FeedWriter.js
%{_libdir}/%{name}/components/WebContentConverter.js
%{_libdir}/%{name}/components/browser.xpt
%{_libdir}/%{name}/components/fuelApplication.js
%{_libdir}/%{name}/components/nsBrowserContentHandler.js
%{_libdir}/%{name}/components/nsBrowserGlue.js
%{_libdir}/%{name}/components/nsMicrosummaryService.js
%{_libdir}/%{name}/components/nsPlacesTransactionsService.js
%{_libdir}/%{name}/components/nsPrivateBrowsingService.js
%{_libdir}/%{name}/components/nsSafebrowsingApplication.js
%{_libdir}/%{name}/components/nsSessionStartup.js
%{_libdir}/%{name}/components/nsSessionStore.js
%{_libdir}/%{name}/components/nsSetDefaultBrowser.js
%{_libdir}/%{name}/components/nsSidebar.js
%if %{without xulrunner}
%{_libdir}/%{name}/platform.ini
%{_libdir}/%{name}/components/FeedProcessor.js
%{_libdir}/%{name}/components/GPSDGeolocationProvider.js
%{_libdir}/%{name}/components/NetworkGeolocationProvider.js
%{_libdir}/%{name}/components/jsconsole-clhandler.js
%{_libdir}/%{name}/components/nsAddonRepository.js
%{_libdir}/%{name}/components/nsBadCertHandler.js
%{_libdir}/%{name}/components/nsBlocklistService.js
%{_libdir}/%{name}/components/nsContentDispatchChooser.js
%{_libdir}/%{name}/components/nsContentPrefService.js
%{_libdir}/%{name}/components/nsDefaultCLH.js
%{_libdir}/%{name}/components/nsDownloadManagerUI.js
%{_libdir}/%{name}/components/nsExtensionManager.js
%{_libdir}/%{name}/components/nsFilePicker.js
%{_libdir}/%{name}/components/nsFormAutoComplete.js
%{_libdir}/%{name}/components/nsHandlerService.js
%{_libdir}/%{name}/components/nsHelperAppDlg.js
%{_libdir}/%{name}/components/nsINIProcessor.js
%{_libdir}/%{name}/components/nsLivemarkService.js
%{_libdir}/%{name}/components/nsLoginInfo.js
%{_libdir}/%{name}/components/nsLoginManager.js
%{_libdir}/%{name}/components/nsLoginManagerPrompter.js
%{_libdir}/%{name}/components/nsPlacesAutoComplete.js
%{_libdir}/%{name}/components/nsPlacesDBFlush.js
%{_libdir}/%{name}/components/nsProxyAutoConfig.js
%{_libdir}/%{name}/components/nsSearchService.js
%{_libdir}/%{name}/components/nsSearchSuggestions.js
%{_libdir}/%{name}/components/nsTaggingService.js
%{_libdir}/%{name}/components/nsTryToClose.js
%{_libdir}/%{name}/components/nsURLFormatter.js
%{_libdir}/%{name}/components/nsUpdateTimerManager.js
%{_libdir}/%{name}/components/nsUrlClassifierLib.js
%{_libdir}/%{name}/components/nsUrlClassifierListManager.js
%{_libdir}/%{name}/components/nsWebHandlerApp.js
%{_libdir}/%{name}/components/pluginGlue.js
%{_libdir}/%{name}/components/storage-Legacy.js
%{_libdir}/%{name}/components/storage-mozStorage.js
%{_libdir}/%{name}/components/txEXSLTRegExFunctions.js
%endif

%attr(755,root,root) %{_libdir}/%{name}/components/libbrowsercomps.so
%attr(755,root,root) %{_libdir}/%{name}/components/libbrowserdirprovider.so
%if %{without xulrunner}
%attr(755,root,root) %{_libdir}/%{name}/components/libdbusservice.so
%attr(755,root,root) %{_libdir}/%{name}/components/libimgicon.so
%endif

%if %{with gnomevfs}
%if %{without xulrunner}
%attr(755,root,root) %{_libdir}/%{name}/components/libmozgnome.so
%endif
#%%attr(755,root,root) %{_libdir}/%{name}/components/libnkgnomevfs.so
%endif

%attr(755,root,root) %{_libdir}/%{name}/iceweasel
%dir %{_libdir}/%{name}/plugins
%if %{without xulrunner}
%attr(755,root,root) %{_libdir}/%{name}/run-mozilla.sh
%attr(755,root,root) %{_libdir}/%{name}/iceweasel-bin
%attr(755,root,root) %{_libdir}/%{name}/plugins/*.so
%attr(755,root,root) %{_libdir}/%{name}/mozilla-xremote-client
%attr(755,root,root) %{_libdir}/%{name}/plugin-container
%endif

%{_pixmapsdir}/iceweasel.png
%{_desktopdir}/iceweasel.desktop

# symlinks
%{_libdir}/%{name}/chrome
%{_libdir}/%{name}/defaults
%{_libdir}/%{name}/extensions
%{_libdir}/%{name}/icons
%{_libdir}/%{name}/modules
%{_libdir}/%{name}/searchplugins
%{_libdir}/%{name}/browserconfig.properties
%if %{without xulrunner}
%{_libdir}/%{name}/dictionaries
%{_libdir}/%{name}/greprefs
%{_libdir}/%{name}/res
%endif

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/chrome
%{_datadir}/%{name}/defaults
%{_datadir}/%{name}/icons
%{_datadir}/%{name}/modules
%{_datadir}/%{name}/searchplugins
%{_datadir}/%{name}/browserconfig.properties
%if %{without xulrunner}
%{_datadir}/%{name}/greprefs
%{_datadir}/%{name}/res
%endif

%dir %{_datadir}/%{name}/extensions
# -dom-inspector subpackage?
#%{_datadir}/%{name}/extensions/inspector@mozilla.org
# the signature of the default theme
%{_datadir}/%{name}/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}

# files created by regxpcom and iceweasel -register
%ghost %{_libdir}/%{name}/components/compreg.dat
%ghost %{_libdir}/%{name}/components/xpti.dat

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: iceweasel.spec,v $
Revision 1.127.2.2  2011/04/29 09:47:15  hawk
- updated to 3.6.17, fixes CVE-2011-1202, CVE-2011-0071, CVE-2011-0076,
  CVE-2011-0067, CVE-2011-0065, CVE-2011-0066, CVE-2011-0073, CVE-2011-0079,
  CVE-2011-0081, CVE-2011-0069, CVE-2011-0070, CVE-2011-0080, CVE-2011-0074,
  CVE-2011-0075, CVE-2011-0077, CVE-2011-0078, CVE-2011-0072
- dropped subshell patch, applied upstream

Revision 1.127.2.1  2011/04/01 12:34:08  hawk
- updated to 3.6.16

Revision 1.127  2011/03/12 06:19:45  qboosh
- __rm, not __rm -f
- plain rm (-f) in heredoc script

Revision 1.126  2011/03/04 11:30:06  lisu
- up to 3.6.15
- use __rm macro

Revision 1.125  2011/03/02 20:24:30  megabajt
- release 2

Revision 1.124  2011/03/02 19:42:12  glen
- md5

Revision 1.123  2011/03/02 17:47:24  glen
- up to 3.6.14
  fixes CVE-2011-0059, CVE-2011-0061, CVE-2010-1585, CVE-2011-0058,
  CVE-2011-0057, CVE-2011-0056, CVE-2011-0054, CVE-2011-0055, CVE-2011-0051,
  CVE-2011-0053, CVE-2011-0062

Revision 1.122  2011/03/02 14:45:13  lisu
- rel 3

Revision 1.121  2011/01/16 08:43:53  qboosh
- libnotify version

Revision 1.120  2011/01/16 08:25:42  qboosh
- updated BRs/Rs and noauto* (from mozilla-firefox.spec)

Revision 1.119  2010/12/12 08:47:00  arekm
- rel 2; fix patch

Revision 1.118  2010/12/11 13:01:43  glen
- up to 3.6.13
  resolves CVE-2010-3770, CVE-2010-3774, CVE-2010-3773, CVE-2010-3767,
  CVE-2010-3766, CVE-2010-3775, CVE-2010-3768, CVE-2010-3772, CVE-2010-3771,
  CVE-2010-3769, CVE-2010-3776, CVE-2010-3777, CVE-2010-3778

Revision 1.117  2010/10/28 16:23:21  hawk
- updated to 3.6.12, fixes CVE-2010-3765

Revision 1.116  2010/10/24 19:20:28  hawk
- updated to 3.6.11, fixes CVE-2010-3174, CVE-2010-3175, CVE-2010-3176,
  CVE-2010-3179, CVE-2010-3180, CVE-2010-3183, CVE-2010-3177,
  CVE-2010-3178, CVE-2010-3170, CVE-2010-3181, CVE-2010-3182,
  CVE-2010-3173

Revision 1.115  2010/09/24 14:08:09  lisu
- no more TODO at the moment

Revision 1.114  2010/09/24 07:58:34  arekm
- rel 1

Revision 1.113  2010/09/23 06:00:13  qboosh
- sort files asciibetically (unified with mozilla-firefox.spec)

Revision 1.112  2010/09/16 10:53:58  duddits
- up to 3.6.10
- bug release, no security advisories this time
- still 0.1

Revision 1.111  2010/09/09 22:21:09  dirdival
- BR: nspr >= 4.8.6 - http://bugs.gentoo.org/show_bug.cgi?id=336413

Revision 1.110  2010/09/09 06:54:47  duddits
- up to 3.6.9
- rel. 0.1, won't compile see -> http://pastebin.com/C8Aq3qp3
- this release fixes: CVE-2010-3169, CVE-2010-2765, CVE-2010-2767,
  CVE-2010-3131, CVE-2010-3166, CVE-2010-2760, CVE-2010-3168,
  CVE-2010-3167, CVE-2010-2766, CVE-2010-2770, CVE-2010-2762,
  CVE-2010-2768, CVE-2010-2769, CVE-2010-2764

Revision 1.109  2010/08/01 12:50:17  arekm
- rel 1; works here

Revision 1.108  2010/07/30 09:50:39  glen
- move browserconfig.properties

Revision 1.107  2010/07/24 09:27:45  duddits
- up to 3.6.8
- still rel 0.1 as it was not yet tested against previous problems
- fixes CVE-2010-2755

Revision 1.106  2010/07/22 08:45:01  lisu
- doesn't run for me, segfaut, rel 0.1

Revision 1.105  2010/07/22 08:19:46  lisu
- libnkgnomevfs.so is missing. commented out for now

Revision 1.104  2010/07/21 19:17:19  duddits
- up to 3.6.7
- security release, fixes CVE-2010-1211, CVE-2010-1212, CVE-2010-1208,
  CVE-2010-1209, CVE-2010-1214, CVE-2010-1215, CVE-2010-2752,
  CVE-2010-2753, CVE-2010-1205, CVE-2010-1213, CVE-2010-1207,
  CVE-2010-1210, CVE-2010-1206, CVE-2010-2751, CVE-2010-0654,
  CVE-2010-2754

Revision 1.103  2010/07/21 14:59:10  bszx
- %files fixes for build without xulrunner

Revision 1.102  2010/06/27 11:54:27  duddits
- up to 3.6.6
- no security advisories available at this point but don't worry: all
  good things come to those who wait

Revision 1.101  2010/06/24 10:10:54  duddits
- missing CVE entries added to commit log

Revision 1.100  2010/06/23 07:27:53  arekm
- up to 3.6.4
- fixes CVE-2008-5913, CVE-2010-1197, CVE-2010-1125, CVE-2010-1199,
  CVE-2010-1196, CVE-2010-1198, CVE-2010-1200, CVE-2010-1201,
  CVE-2010-1202, CVE-2010-1203

Revision 1.99  2010/04/03 17:36:58  duddits
- up to 3.6.3
- fixes CVE-2010-1121

Revision 1.98  2010/03/25 15:32:10  glen
- xulrunner has epoch 2 now
- use pkg-config to fetch libxul-sdk location
- files cleanup

Revision 1.97  2010/03/23 20:20:25  glen
- some old cve entries

Revision 1.96  2010/03/23 15:06:32  duddits
- up to 3.6.2
- security release, fixed CVE-2010-1028

Revision 1.95  2010/03/03 15:17:42  hawk
- libpng 1.4 fix

Revision 1.94  2010/02/16 10:05:12  arekm
- release 4

Revision 1.93  2010/02/15 15:15:48  sparky
- configure checks for hunspel ewen with external xulrunner

Revision 1.92  2010/02/15 11:52:21  arekm
- release 3

Revision 1.91  2010/02/13 13:56:25  hawk
- myspell support was dropped some time ago, use hunspell
- don't package README, its contents are pointless for iceweasel

Revision 1.90  2010/02/13 00:09:26  hawk
- fixed xulrunner_ver macro for 3 digit versions
- fixed unpackaged files

Revision 1.89  2010/01/22 14:14:30  gotar
- libxul.so R gdk_x11_window_get_drawable_impl symbol since 3.5.5

Revision 1.88  2010/01/22 12:43:48  sparky
- BR: bzip2-devel, libdnet-devel, libiw-devel, libnotify-devel
- BRs cleaned up as much as possible
- file is out %{_libdir}/%{name}/components/nsUpdateService.js

Revision 1.87  2010/01/21 20:34:30  arekm
- and works

Revision 1.86  2010/01/21 20:15:14  arekm
- builds now

Revision 1.85  2010/01/21 13:53:45  arekm
- update patches; branding patch still needs update

Revision 1.84  2010/01/21 13:44:53  arekm
- fetch tarball

Revision 1.83  2010/01/06 11:14:00  duddits
- up to 3.5.7
- no security issues on this release, for more info visit
  http://www.mozilla.org/security/known-vulnerabilities/firefox35.html

Revision 1.82  2009/12/16 18:38:02  arekm
- up to 3.5.6; plugins dir back for xulrunner based version, too
  CVE-2009-3987, CVE-2009-3986, CVE-2009-3984, CVE-2009-3985, CVE-2009-3983,
  CVE-2009-3389, CVE-2009-3388, CVE-2009-3979, CVE-2009-3980, CVE-2009-3981,
  CVE-2009-3982

Revision 1.81  2009/12/16 17:50:36  arekm
- get plugins even when build with/without xulrunner

Revision 1.80  2009/12/07 13:57:10  sparky
- BR: alsa-lib-devel, dbus-glib-devel, python-modules
- dropped BR: glib2-devel (required by gtk+2-devel)

Revision 1.79  2009/12/07 08:44:09  glen
- exact version dep on sqlite3 version that was built with if without xulrunner

Revision 1.78  2009/12/07 08:42:44  glen
- there is only xul

Revision 1.77  2009/12/05 22:17:00  glen
- release 2

Revision 1.76  2009/12/05 22:16:31  glen
- unify a bit with xulrunner

Revision 1.75  2009/11/06 14:33:33  duddits
- up to 3.5.5
- no security notes available at this point, see
  https://bugzilla.mozilla.org/buglist.cgi?quicksearch=ALL%20status1.9.1%3A.5-fixed

Revision 1.74  2009/11/03 10:56:11  hawk
- don't build with system xulrunner for Titanium, standalone browser
  is noticeably faster

Revision 1.73  2009/10/28 13:52:29  glen
- convert xulrunner/firefox versions

Revision 1.72  2009/10/28 13:45:06  glen
- build with xulrunner; rel 3

Revision 1.71  2009/10/28 11:43:38  paszczus
- R: sqlite3 >= 3.6.19; rel 2

Revision 1.70  2009/10/28 11:22:38  paszczus
- added CVE notes to previous commitlog

Revision 1.69  2009/10/28 08:03:38  paszczus
- updated to 3.5.4 (fixes CVE-2009-3370, CVE-2009-3274, CVE-2009-3371,
  CVE-2009-3372, CVE-2009-3373, CVE-2009-3374, CVE-2009-1563, CVE-2009-3375,
  CVE-2009-3376, CVE-2009-3377, CVE-2009-3379, CVE-2009-3378, CVE-2009-3380,
  CVE-2009-3381, CVE-2009-3382, CVE-2009-3383 )

Revision 1.68  2009/10/13 16:38:37  gotar
- with sqlite3 3.6.16 just said 'The application has been updated, but your
  version of SQLite is too old and the application cannot run'

Revision 1.67  2009/09/10 10:35:27  glen
- with xulrunner fixes; rel 2

Revision 1.66  2009/09/10 08:36:49  duddits
- CVE notes added

Revision 1.65  2009/09/09 20:07:06  arekm
- up to 3.5.3
- fixes CVE-2009-3069, CVE-2009-3070, CVE-2009-3071, CVE-2009-3072,
  CVE-2009-3073, CVE-2009-3074, CVE-2009-3075, CVE-2009-3077,
  CVE-2009-3078, CVE-2009-3079

Revision 1.64  2009/08/03 23:30:27  adamg
- updated to 3.5.2 (fixes CVE-2009-2467, CVE-2009-2477, CVE-2009-2470 )

Revision 1.63  2009/08/02 21:30:04  glen
- implicit enable canvas, pango options
- -fomit-frame-pointer to cflags

Revision 1.62  2009/07/17 10:15:22  duddits
- up to 3.5.1
- install.patch updated
- fixes http://www.mozilla.org/security/announce/2009/mfsa2009-41.html

Revision 1.61  2009/07/12 03:26:58  arekm
- release 4

Revision 1.60  2009/07/02 22:27:18  baggins
- rel 3
- switch to heimdal kerberos

Revision 1.59  2009/07/02 08:18:04  arekm
- rel 2

Revision 1.58  2009/07/02 08:05:37  arekm
- try to fix ppc build

Revision 1.57  2009/07/02 07:33:57  arekm
- C: iceweasel-lang-resources < version

Revision 1.56  2009/06/30 22:04:04  hawk
- sqlite3 3.6.15 is enough

Revision 1.55  2009/06/30 21:41:10  arekm
- R: sqlite3 >= 3.6.16

Revision 1.54  2009/06/30 13:28:47  paszczus
- BR: sqlite3-devel >= 3.6.16

Revision 1.53  2009/06/30 13:09:01  paszczus
- updated to 3.5 final

Revision 1.51.2.6  2009/06/28 20:39:25  hawk
- ehh, corrected last changelog entry

Revision 1.51.2.5  2009/06/28 20:36:43  hawk
- %files fixes for xulrunner build
- updated xulrunner deps

Revision 1.51.2.4  2009/06/28 17:04:45  hawk
- fixed Rs too

Revision 1.51.2.3  2009/06/28 16:36:16  hawk
- sorted/updated %files (will need recheck with FF 3.5 based XULRunner),
  everything seems to work now

Revision 1.51.2.2  2009/06/28 15:26:07  hawk
- updated nspr and nss BRs, now it builds but still NFY (minor branding
  problems and https doesn't work at all)

Revision 1.51.2.1  2009/06/28 13:41:24  hawk
- started work on 3.5rc3, NFY

Revision 1.51  2009/06/15 13:43:18  blues
- multiple CVE entries for last release

Revision 1.50  2009/06/12 21:25:30  duddits
- up to 3.0.11
- fixes: CVE-2009-1828, CVE-2009-1392, CVE-2009-1832, CVE-2009-1833,
  CVE-2009-1840, CVE-2009-1834, CVE-2009-1839, CVE-2009-1835, CVE-2009-1836,
  CVE-2009-1841, CVE-2009-1838, CVE-2009-1837

Revision 1.49  2009/05/05 18:49:14  glen
- skip dangling (quite(useless)) subshells in normal run; rel 3

Revision 1.48  2009/04/30 11:31:02  duddits
- drop conditional apply on gcc44.patch

Revision 1.47  2009/04/29 22:31:19  duddits
- rel. 2

Revision 1.46  2009/04/29 22:27:26  duddits
- gcc44.patch added; partially stolen from gentoo:
  http://bugs.gentoo.org/show_bug.cgi?id=260815

Revision 1.45  2009/04/28 17:56:02  pluto
- updated to 3.0.10 (fix CVE-2009-1313).

Revision 1.44  2009/04/22 06:13:12  duddits
- up to 3.0.9
- fixes: CVE-2009-1302, CVE-2009-1303, CVE-2009-1304, CVE-2009-1305,
  CVE-2009-1306, CVE-2009-1307, CVE-2009-1308, CVE-2009-1309,
  CVE-2009-1310, CVE-2009-1311, CVE-2009-1312, CVE-2009-0652

Revision 1.43  2009/03/28 00:09:47  duddits
- doh! I did it again ..., adding missing CVE notes

Revision 1.42  2009/03/28 00:00:33  duddits
- up to 3.0.8
- fixes CVE-2009-1044, CVE-2009-1169

Revision 1.41  2009/03/05 20:05:06  duddits
- CVE notes added

Revision 1.40  2009/03/05 18:31:17  vip
- rel up (starting script bugfix)
- STBR

Revision 1.39  2009/03/05 17:07:05  arekm
- up to 3.0.7
- fixes: CVE-2009-0771, CVE-2009-0772, CVE-2009-0773, CVE-2009-0774,
  CVE-2009-0775, CVE-2009-0776, CVE-2009-0777

Revision 1.38  2009/02/09 13:48:27  blues
- one more CVE

Revision 1.37  2009/02/05 09:10:35  duddits
- more %files

Revision 1.36  2009/02/04 23:12:27  hawk
- updated to 3.0.6, fixes: CVE-2009-0352, CVE-2009-0353, CVE-2009-0354,
  CVE-2009-0355, CVE-2009-0356, CVE-2009-0357, CVE-2009-0358

Revision 1.35  2008/12/18 17:41:53  arekm
- rel 2; patch no longer needed

Revision 1.34  2008/12/17 10:45:41  hawk
- updated to 3.0.5, fixes CVE-2008-5500, CVE-2008-5501, CVE-2008-5502,
  CVE-2008-5505, CVE-2008-5506, CVE-2008-5507, CVE-2008-5508,
  CVE-2008-5510, CVE-2008-5511, CVE-2008-5512, CVE-2008-5513

Revision 1.33  2008/12/13 15:16:45  cactus
- rel 2; jemalloc upstream fix that should prevent some hangs

Revision 1.32  2008/11/17 21:27:04  blues
- more CVE entries and security blockers for icedove (upgrade required)

Revision 1.31  2008/11/13 13:01:09  hawk
- URL: PLD-WWW:/Packages/Iceweasel

Revision 1.30  2008/11/13 12:37:21  hawk
- added CVE references

Revision 1.29  2008/11/13 11:38:32  duddits
- updated to 3.0.4, fixes CVE-2008-4582, CVE-2008-5015, CVE-2008-5016,
  CVE-2008-5017, CVE-2008-5018, CVE-2008-5019, CVE-2008-0017, CVE-2008-5021,
  CVE-2008-5022, CVE-2008-5023, CVE-2008-5024
- more verbose %files

Revision 1.28  2008/10/14 18:58:07  uzsolt
- hu descr and summary

Revision 1.27  2008/09/27 20:21:48  dzeus
- up to 3.0.3

Revision 1.26  2008/09/24 15:42:54  hawk
- updated to 3.0.2, fixes CVE-2008-3837, CVE-2008-4058, CVE-2008-4059,
  CVE-2008-4060, CVE-2008-4061, CVE-2008-4062, CVE-2008-4063, CVE-2008-4064,
  CVE-2008-4065, CVE-2008-4066, CVE-2008-4067, CVE-2008-4068, CVE-2008-5014

Revision 1.25  2008/08/18 18:04:02  hawk
- reverted separate wrappers for Titanium

Revision 1.24  2008/08/18 16:48:10  arekm
- release 4

Revision 1.23  2008/08/18 15:29:48  hawk
- alternate wrappers for Titanium

Revision 1.22  2008/08/09 15:43:38  paszczus
- added R: myspell-common; rel 3

Revision 1.21  2008/08/01 18:48:51  arekm
- filterout fortify flags from equation (too many bugs in the code that are catched by fortify)

Revision 1.20  2008/07/29 13:48:32  hawk
- fixed application name in URLs
- release 2

Revision 1.19  2008/07/20 12:55:06  hawk
- updated to 3.0.1, fixes CVE-2008-2785, CVE-2008-2933, CVE-2008-2934

Revision 1.18  2008/06/26 19:16:53  hawk
- try to copy profile from firefox in wrapper script

Revision 1.17  2008/06/26 08:18:03  hawk
- release 2

Revision 1.16  2008/06/23 16:13:03  hawk
- renumbered sources

Revision 1.15  2008/06/23 15:55:43  hawk
- remove non-free stuff before building to be sure it won't get packaged

Revision 1.14  2008/06/23 14:58:40  hawk
- add PLD realted bookmarks

Revision 1.13  2008/06/23 10:27:15  hawk
- don't build with system xulrunner yet

Revision 1.12  2008/06/23 10:26:20  hawk
- firefox 3.0 rebranded as iceweasel (based on revision 1.251 of mozilla-firefox.spec)

Revision 1.11  2007/03/31 22:43:16  baggins
- rel 0.3
- s/heimdal/krb5/

Revision 1.10  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.8  2006/11/07 22:32:43  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.7  2006/10/26 16:20:22  czarny
- name patches
- sorted patches
- firefox->icewaesel names/dirs
- files updated
- builds, but fails to start

Revision 1.6  2006/10/16 07:42:46  glen
- fix source0; cosmetics

Revision 1.5  2006/10/15 19:18:05  glen
- %{name}-chrome+xpcom-generate

Revision 1.4  2006/10/15 18:33:02  czarny
- added iceweasels own .sh and .desktop files
- removed obsoletes mozilla-firebird
- %{_firefoxdir} => %{_iceweaseldir} (cosmetic)
- polish description
- removed -j1 from %{__make}
- better sed of iceweasel.sh

Revision 1.3  2006/10/15 13:08:29  czarny
- updated _firefoxdir
- %files /usr/bin tweaks
- disable strip (as it is done by rpm later on)
- added my last commit log

Revision 1.2  2006/10/15 11:37:31  czarny
- adaptarized

Revision 1.1  2006/10/15 11:19:56  czarny
- init PLD
- based on mozilla-firefox
- generally builds, %file section screwed up
- totally NFY
